%define tarname	Mayavi
%define name	python-enthought-mayavi
%define version	3.1.0
%define release	%mkrel 1

Summary:	Enthought Tool Suite - Mayavi project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/mayavi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	python-enthought-mayavi2
Obsoletes:	mayavi
Requires:	python-enthought-apptools >= 3.1.0
Requires:	python-enthought-enthoughtbase >= 3.0.1
Requires:	python-enthought-envisagecore >= 3.0.1
Requires:	python-enthought-envisageplugins >= 3.0.1
Requires:	python-enthought-traits >= 3.0.3
Requires:	python-enthought-traitsgui >= 3.0.3
Requires:	python-enthought-traitsbackendwx >= 3.0.3
Requires:	python-numpy >= 1.1.0, python-vtk
BuildRequires:	python-numpy-devel >= 1.1.0, python-vtk
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The Mayavi project includes two related packages for 3-dimensional
visualization:

* Mayavi2: A tool for easy and interactive visualization of data.
* TVTK: A Traits-based wrapper for the Visualization Toolkit, a 
  popular open-source visualization library.

These libraries operate at different levels of abstraction. TVTK
manipulates visualization objects, while Mayavi2 lets you operate on
your data, and then see the results. Most users either use the Mayavi
user interface or program to its scripting interface; you probably
don't need to interact with TVTK unless you want to create a new
Mayavi module.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt docs/*.txt examples/ docs/pdf/*.pdf docs/pdf/*/*.pdf


%changelog
* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 313639
- Update to 3.1.0.

* Mon Nov 03 2008 Lev Givon <lev@mandriva.org> 3.0.3-2mdv2009.1
+ Revision: 299566
- Obsolete old mayavi 1.5 package.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 298972
- Update to 3.0.3.
- Rename in accordance with new ETS project name.

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 2.2.0-1mdv2009.0
+ Revision: 237722
- import python-enthought-mayavi2

